L'installation des service packs .NET Framework n'est pas effectuée si la mise à jour de sécurité MS05-004 est déjà installée

Cet article a été archivé. Il est proposé « en l'état » et ne sera plus mis à jour.
Symptômes
Lorsque vous installez les Service Packs Microsoft .NET Framework sur des ordinateurs hébergeant la version 1.0 ou 1.1 de .NET Framework, l'un des messages d'erreur suivants apparaît :
Microsoft .NET Framework 1.0 Service Pack 3 (KB867461) ne peut pas être installé car un ou plusieurs correctifs sont installés. Supprimez-les et réessayez
Microsoft .NET Framework 1.1 Service Pack 1 (KB867460) ne peut pas être installé car un ou plusieurs correctifs sont installés. Supprimez-les et réessayez
L'installation n'est pas terminée.
Cause
Ce problème se produit si vous installez la mise à jour de sécurité MS05-004 avant d'essayer d'installer le Service Pack .NET Framework. La mise à jour de sécurité MS05-004 a été diffusée après le service pack, mais elle a été appliquée à l'ordinateur avant le service pack associé.Pour plus d'informations sur la mise à jour de sécurité MS05-004, cliquez sur le numéro ci-dessous pour afficher l'article correspondant dans la Base de connaissances Microsoft.
887219 MS05-004 : Une vulnérabilité de validation du chemin ASP.NET peut permettre l'accès non autorisé
Résolution
Important Ces étapes peuvent augmenter le risque de sécurité et rendre votre ordinateur ou votre réseau plus vulnérable aux attaques d'utilisateurs malintentionnés ou de logiciels nuisibles tels que les virus. Nous recommandons d'exécuter le processus décrit par cet article pour activer le fonctionnement des programmes tels qu'ils ont été conçus ou pour implémenter les fonctionnalités de programme spécifiques. Avant de procéder à ces modifications, nous vous recommandons d'évaluer les risques associés à l'implémentation de ce processus dans votre environnement propre. Si vous décidez d'implémenter ce processus, prenez toutes les mesures nécessaires pour protéger votre système. Nous vous recommandons d'utiliser ce processus uniquement si vous en avez vraiment besoin.

Pour résoudre ce problème, vous devez supprimer la mise à jour de sécurité, installer le Service Pack .NET Framework, puis réinstaller toutes les mises à jour de sécurité recommandées.

Pour supprimer la mise à jour de sécurité .NET Framework, procédez comme suit  :
  1. Dans le Panneau de configuration, double-cliquez sur Ajout/Suppression de programmes.
  2. Par défaut, le volet Modifier ou supprimer des programmes apparaît. Ce volet affiche la liste des programmes installés. Si la case à cocher Afficher les mises à jour apparaît, assurez-vous qu'elle est activée.
  3. Dans la liste Programmes et mises à jour installés, sélectionnez Correctif Microsoft .NET Framework 1.0 (KB886906) ou Correctif Microsoft .NET Framework 1.1 (KB886904), puis cliquez sur Supprimer.
  4. Cliquez sur Suivant. Un message apparaît vous invitant à confirmer la suppression du correctif.
  5. Cliquez sur OK.
Après avoir supprimé la mise à jour de sécurité, installez le Service Pack .NET Framework. Après avoir installé le Service Pack .NET Framework, installez toutes mises à jour de sécurité requises.

Important Vous devez installer les mises à jour de sécurité recommandées après avoir installé le Service Pack pour rétablir le niveau de sécurité adéquat.
Statut
Ce comportement est voulu par la conception même du produit.
Propriétés

ID d'article : 899619 - Dernière mise à jour : 12/09/2015 02:34:07 - Révision : 1.1

Microsoft .NET Framework 1.0, Microsoft .NET Framework 1.1

  • kbnosurvey kbarchive kberrmsg kbtshoot kbprb KB899619
Commentaires